pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: GPL 2012 (20120509)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_spark_dns_main" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#b18b067a#;
   pragma Export (C, u00001, "spark_dns_mainB");
   u00002 : constant Version_32 := 16#3935bd10#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#63cfd057#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#be7626de#;
   pragma Export (C, u00004, "dns_table_pkgB");
   u00005 : constant Version_32 := 16#8e4b3e56#;
   pragma Export (C, u00005, "dns_table_pkgS");
   u00006 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00006, "adaS");
   u00007 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00007, "ada__charactersS");
   u00008 : constant Version_32 := 16#6239f067#;
   pragma Export (C, u00008, "ada__characters__handlingB");
   u00009 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00009, "ada__characters__handlingS");
   u00010 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00010, "ada__characters__latin_1S");
   u00011 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00011, "ada__stringsS");
   u00012 : constant Version_32 := 16#6daf90c4#;
   pragma Export (C, u00012, "systemS");
   u00013 : constant Version_32 := 16#7b9f0bae#;
   pragma Export (C, u00013, "system__exception_tableB");
   u00014 : constant Version_32 := 16#fcc14c61#;
   pragma Export (C, u00014, "system__exception_tableS");
   u00015 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00015, "system__htableB");
   u00016 : constant Version_32 := 16#ee07deca#;
   pragma Export (C, u00016, "system__htableS");
   u00017 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00017, "system__string_hashB");
   u00018 : constant Version_32 := 16#4b334850#;
   pragma Export (C, u00018, "system__string_hashS");
   u00019 : constant Version_32 := 16#0071025c#;
   pragma Export (C, u00019, "system__soft_linksB");
   u00020 : constant Version_32 := 16#fc13008d#;
   pragma Export (C, u00020, "system__soft_linksS");
   u00021 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00021, "system__parametersB");
   u00022 : constant Version_32 := 16#db4d9c04#;
   pragma Export (C, u00022, "system__parametersS");
   u00023 : constant Version_32 := 16#17775d6d#;
   pragma Export (C, u00023, "system__secondary_stackB");
   u00024 : constant Version_32 := 16#79c1b76a#;
   pragma Export (C, u00024, "system__secondary_stackS");
   u00025 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00025, "system__storage_elementsB");
   u00026 : constant Version_32 := 16#9762ed5c#;
   pragma Export (C, u00026, "system__storage_elementsS");
   u00027 : constant Version_32 := 16#1ee4165a#;
   pragma Export (C, u00027, "ada__exceptionsB");
   u00028 : constant Version_32 := 16#ad007709#;
   pragma Export (C, u00028, "ada__exceptionsS");
   u00029 : constant Version_32 := 16#16173147#;
   pragma Export (C, u00029, "ada__exceptions__last_chance_handlerB");
   u00030 : constant Version_32 := 16#e3a511ca#;
   pragma Export (C, u00030, "ada__exceptions__last_chance_handlerS");
   u00031 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00031, "system__exceptionsB");
   u00032 : constant Version_32 := 16#61515873#;
   pragma Export (C, u00032, "system__exceptionsS");
   u00033 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00033, "system__exceptions_debugB");
   u00034 : constant Version_32 := 16#55dfb510#;
   pragma Export (C, u00034, "system__exceptions_debugS");
   u00035 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00035, "system__img_intB");
   u00036 : constant Version_32 := 16#6f747006#;
   pragma Export (C, u00036, "system__img_intS");
   u00037 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00037, "system__tracebackB");
   u00038 : constant Version_32 := 16#0c2844b1#;
   pragma Export (C, u00038, "system__tracebackS");
   u00039 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#d244bef9#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#ff5592f8#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#ccba382f#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#98c8a33b#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00048, "system__traceback_entriesB");
   u00049 : constant Version_32 := 16#3f8e7e85#;
   pragma Export (C, u00049, "system__traceback_entriesS");
   u00050 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00050, "system__stack_checkingB");
   u00051 : constant Version_32 := 16#ce0d2ce8#;
   pragma Export (C, u00051, "system__stack_checkingS");
   u00052 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00052, "ada__strings__mapsB");
   u00053 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00053, "ada__strings__mapsS");
   u00054 : constant Version_32 := 16#193a50a3#;
   pragma Export (C, u00054, "system__bit_opsB");
   u00055 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00055, "system__bit_opsS");
   u00056 : constant Version_32 := 16#074eccb2#;
   pragma Export (C, u00056, "system__unsigned_typesS");
   u00057 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00057, "ada__strings__maps__constantsS");
   u00058 : constant Version_32 := 16#5331c1d4#;
   pragma Export (C, u00058, "ada__tagsB");
   u00059 : constant Version_32 := 16#c49b6a94#;
   pragma Export (C, u00059, "ada__tagsS");
   u00060 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00060, "system__val_unsB");
   u00061 : constant Version_32 := 16#17e62189#;
   pragma Export (C, u00061, "system__val_unsS");
   u00062 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00062, "system__val_utilB");
   u00063 : constant Version_32 := 16#660205db#;
   pragma Export (C, u00063, "system__val_utilS");
   u00064 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00064, "system__case_utilB");
   u00065 : constant Version_32 := 16#c0b3f04c#;
   pragma Export (C, u00065, "system__case_utilS");
   u00066 : constant Version_32 := 16#bb8952df#;
   pragma Export (C, u00066, "system__tasking__protected_objectsB");
   u00067 : constant Version_32 := 16#0e06b2d3#;
   pragma Export (C, u00067, "system__tasking__protected_objectsS");
   u00068 : constant Version_32 := 16#2a89d93b#;
   pragma Export (C, u00068, "system__soft_links__taskingB");
   u00069 : constant Version_32 := 16#6ac0d6d0#;
   pragma Export (C, u00069, "system__soft_links__taskingS");
   u00070 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00070, "ada__exceptions__is_null_occurrenceB");
   u00071 : constant Version_32 := 16#24d5007b#;
   pragma Export (C, u00071, "ada__exceptions__is_null_occurrenceS");
   u00072 : constant Version_32 := 16#9f1b736c#;
   pragma Export (C, u00072, "system__task_primitivesS");
   u00073 : constant Version_32 := 16#1faa77d9#;
   pragma Export (C, u00073, "system__os_interfaceS");
   u00074 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00074, "interfaces__cB");
   u00075 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00075, "interfaces__cS");
   u00076 : constant Version_32 := 16#62120d5e#;
   pragma Export (C, u00076, "interfaces__c__stringsB");
   u00077 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00077, "interfaces__c__stringsS");
   u00078 : constant Version_32 := 16#3ead0efd#;
   pragma Export (C, u00078, "system__win32S");
   u00079 : constant Version_32 := 16#527a2bd4#;
   pragma Export (C, u00079, "system__task_primitives__operationsB");
   u00080 : constant Version_32 := 16#00837a4c#;
   pragma Export (C, u00080, "system__task_primitives__operationsS");
   u00081 : constant Version_32 := 16#6f001a54#;
   pragma Export (C, u00081, "system__exp_unsB");
   u00082 : constant Version_32 := 16#3a826f18#;
   pragma Export (C, u00082, "system__exp_unsS");
   u00083 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00083, "system__float_controlB");
   u00084 : constant Version_32 := 16#8d53d3f8#;
   pragma Export (C, u00084, "system__float_controlS");
   u00085 : constant Version_32 := 16#1826115c#;
   pragma Export (C, u00085, "system__interrupt_managementB");
   u00086 : constant Version_32 := 16#92c564a4#;
   pragma Export (C, u00086, "system__interrupt_managementS");
   u00087 : constant Version_32 := 16#c313b593#;
   pragma Export (C, u00087, "system__multiprocessorsB");
   u00088 : constant Version_32 := 16#55030fb7#;
   pragma Export (C, u00088, "system__multiprocessorsS");
   u00089 : constant Version_32 := 16#3fcdd715#;
   pragma Export (C, u00089, "system__os_primitivesB");
   u00090 : constant Version_32 := 16#dd7e1ced#;
   pragma Export (C, u00090, "system__os_primitivesS");
   u00091 : constant Version_32 := 16#aa4baafd#;
   pragma Export (C, u00091, "system__win32__extS");
   u00092 : constant Version_32 := 16#5052be8c#;
   pragma Export (C, u00092, "system__task_infoB");
   u00093 : constant Version_32 := 16#ef1d87cb#;
   pragma Export (C, u00093, "system__task_infoS");
   u00094 : constant Version_32 := 16#8f3bd8ab#;
   pragma Export (C, u00094, "system__taskingB");
   u00095 : constant Version_32 := 16#117023e3#;
   pragma Export (C, u00095, "system__taskingS");
   u00096 : constant Version_32 := 16#7b8aedca#;
   pragma Export (C, u00096, "system__stack_usageB");
   u00097 : constant Version_32 := 16#a5188558#;
   pragma Export (C, u00097, "system__stack_usageS");
   u00098 : constant Version_32 := 16#773a2d5d#;
   pragma Export (C, u00098, "system__crtlS");
   u00099 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00099, "system__ioB");
   u00100 : constant Version_32 := 16#f3ed678b#;
   pragma Export (C, u00100, "system__ioS");
   u00101 : constant Version_32 := 16#652aa403#;
   pragma Export (C, u00101, "system__tasking__debugB");
   u00102 : constant Version_32 := 16#f32cb5c6#;
   pragma Export (C, u00102, "system__tasking__debugS");
   u00103 : constant Version_32 := 16#39591e91#;
   pragma Export (C, u00103, "system__concat_2B");
   u00104 : constant Version_32 := 16#967f6238#;
   pragma Export (C, u00104, "system__concat_2S");
   u00105 : constant Version_32 := 16#ae97ef6c#;
   pragma Export (C, u00105, "system__concat_3B");
   u00106 : constant Version_32 := 16#1b8592ae#;
   pragma Export (C, u00106, "system__concat_3S");
   u00107 : constant Version_32 := 16#c9fdc962#;
   pragma Export (C, u00107, "system__concat_6B");
   u00108 : constant Version_32 := 16#aa6565d0#;
   pragma Export (C, u00108, "system__concat_6S");
   u00109 : constant Version_32 := 16#def1dd00#;
   pragma Export (C, u00109, "system__concat_5B");
   u00110 : constant Version_32 := 16#7d965e65#;
   pragma Export (C, u00110, "system__concat_5S");
   u00111 : constant Version_32 := 16#3493e6c0#;
   pragma Export (C, u00111, "system__concat_4B");
   u00112 : constant Version_32 := 16#6ff0737a#;
   pragma Export (C, u00112, "system__concat_4S");
   u00113 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00113, "system__img_enum_newB");
   u00114 : constant Version_32 := 16#eaa85b34#;
   pragma Export (C, u00114, "system__img_enum_newS");
   u00115 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00115, "system__img_unsB");
   u00116 : constant Version_32 := 16#98baf045#;
   pragma Export (C, u00116, "system__img_unsS");
   u00117 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00117, "system__tracesB");
   u00118 : constant Version_32 := 16#9fb2f86e#;
   pragma Export (C, u00118, "system__tracesS");
   u00119 : constant Version_32 := 16#9ce6e57d#;
   pragma Export (C, u00119, "rr_typeB");
   u00120 : constant Version_32 := 16#f6134437#;
   pragma Export (C, u00120, "rr_typeS");
   u00121 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00121, "ada__streamsS");
   u00122 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00122, "system__stream_attributesB");
   u00123 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00123, "system__stream_attributesS");
   u00124 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00124, "ada__io_exceptionsS");
   u00125 : constant Version_32 := 16#dd57bff3#;
   pragma Export (C, u00125, "unsigned_typesS");
   u00126 : constant Version_32 := 16#d03c8901#;
   pragma Export (C, u00126, "rr_type__a_record_typeS");
   u00127 : constant Version_32 := 16#c3bf41bf#;
   pragma Export (C, u00127, "rr_type__aaaa_record_typeS");
   u00128 : constant Version_32 := 16#6b807061#;
   pragma Export (C, u00128, "rr_type__cname_record_typeS");
   u00129 : constant Version_32 := 16#1eadf3c6#;
   pragma Export (C, u00129, "system__strings__stream_opsB");
   u00130 : constant Version_32 := 16#8453d1c6#;
   pragma Export (C, u00130, "system__strings__stream_opsS");
   u00131 : constant Version_32 := 16#a1920867#;
   pragma Export (C, u00131, "ada__streams__stream_ioB");
   u00132 : constant Version_32 := 16#f0e417a0#;
   pragma Export (C, u00132, "ada__streams__stream_ioS");
   u00133 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00133, "interfaces__c_streamsB");
   u00134 : constant Version_32 := 16#a539be81#;
   pragma Export (C, u00134, "interfaces__c_streamsS");
   u00135 : constant Version_32 := 16#595ba38f#;
   pragma Export (C, u00135, "system__communicationB");
   u00136 : constant Version_32 := 16#ef813eee#;
   pragma Export (C, u00136, "system__communicationS");
   u00137 : constant Version_32 := 16#4a803ccf#;
   pragma Export (C, u00137, "system__file_ioB");
   u00138 : constant Version_32 := 16#60d89729#;
   pragma Export (C, u00138, "system__file_ioS");
   u00139 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00139, "ada__finalizationB");
   u00140 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00140, "ada__finalizationS");
   u00141 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00141, "system__finalization_rootB");
   u00142 : constant Version_32 := 16#225de354#;
   pragma Export (C, u00142, "system__finalization_rootS");
   u00143 : constant Version_32 := 16#a50435f4#;
   pragma Export (C, u00143, "system__crtl__runtimeS");
   u00144 : constant Version_32 := 16#721198aa#;
   pragma Export (C, u00144, "system__os_libB");
   u00145 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00145, "system__os_libS");
   u00146 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00146, "system__stringsB");
   u00147 : constant Version_32 := 16#da45da00#;
   pragma Export (C, u00147, "system__stringsS");
   u00148 : constant Version_32 := 16#b2907efe#;
   pragma Export (C, u00148, "system__file_control_blockS");
   u00149 : constant Version_32 := 16#6d35da9a#;
   pragma Export (C, u00149, "system__finalization_mastersB");
   u00150 : constant Version_32 := 16#075a3ce8#;
   pragma Export (C, u00150, "system__finalization_mastersS");
   u00151 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00151, "system__address_imageB");
   u00152 : constant Version_32 := 16#cc430dfe#;
   pragma Export (C, u00152, "system__address_imageS");
   u00153 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00153, "system__img_boolB");
   u00154 : constant Version_32 := 16#9876e12f#;
   pragma Export (C, u00154, "system__img_boolS");
   u00155 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00155, "system__storage_poolsB");
   u00156 : constant Version_32 := 16#be018fa9#;
   pragma Export (C, u00156, "system__storage_poolsS");
   u00157 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00157, "system__pool_globalB");
   u00158 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00158, "system__pool_globalS");
   u00159 : constant Version_32 := 16#88cd69c1#;
   pragma Export (C, u00159, "system__memoryB");
   u00160 : constant Version_32 := 16#a7242cd1#;
   pragma Export (C, u00160, "system__memoryS");
   u00161 : constant Version_32 := 16#17551a52#;
   pragma Export (C, u00161, "system__storage_pools__subpoolsB");
   u00162 : constant Version_32 := 16#738e4bc9#;
   pragma Export (C, u00162, "system__storage_pools__subpoolsS");
   u00163 : constant Version_32 := 16#87a20243#;
   pragma Export (C, u00163, "rr_type__dnskey_record_typeS");
   u00164 : constant Version_32 := 16#2b493902#;
   pragma Export (C, u00164, "rr_type__mx_record_typeS");
   u00165 : constant Version_32 := 16#b7bf1392#;
   pragma Export (C, u00165, "rr_type__ns_record_typeS");
   u00166 : constant Version_32 := 16#74364172#;
   pragma Export (C, u00166, "rr_type__nsec_record_typeS");
   u00167 : constant Version_32 := 16#395ecc26#;
   pragma Export (C, u00167, "dns_typesB");
   u00168 : constant Version_32 := 16#bdaf2afb#;
   pragma Export (C, u00168, "dns_typesS");
   u00169 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00169, "gnatS");
   u00170 : constant Version_32 := 16#18a01aec#;
   pragma Export (C, u00170, "gnat__byte_swappingB");
   u00171 : constant Version_32 := 16#3457540c#;
   pragma Export (C, u00171, "gnat__byte_swappingS");
   u00172 : constant Version_32 := 16#d1d36f03#;
   pragma Export (C, u00172, "rr_type__ptr_record_typeS");
   u00173 : constant Version_32 := 16#55f27b75#;
   pragma Export (C, u00173, "rr_type__rrsig_record_typeS");
   u00174 : constant Version_32 := 16#d31c829b#;
   pragma Export (C, u00174, "rr_type__soa_record_typeS");
   u00175 : constant Version_32 := 16#99ec3c77#;
   pragma Export (C, u00175, "sparkS");
   u00176 : constant Version_32 := 16#7227bb35#;
   pragma Export (C, u00176, "spark__adaS");
   u00177 : constant Version_32 := 16#d13286fa#;
   pragma Export (C, u00177, "spark__ada__text_ioB");
   u00178 : constant Version_32 := 16#f3896d65#;
   pragma Export (C, u00178, "spark__ada__text_ioS");
   u00179 : constant Version_32 := 16#f573d059#;
   pragma Export (C, u00179, "spark__ada__text_io__not_sparkB");
   u00180 : constant Version_32 := 16#d91b65c7#;
   pragma Export (C, u00180, "spark__ada__text_io__not_sparkS");
   u00181 : constant Version_32 := 16#bc0fac87#;
   pragma Export (C, u00181, "ada__text_ioB");
   u00182 : constant Version_32 := 16#36d750a9#;
   pragma Export (C, u00182, "ada__text_ioS");
   u00183 : constant Version_32 := 16#54b72bb3#;
   pragma Export (C, u00183, "spark_ada_command_lineB");
   u00184 : constant Version_32 := 16#22719490#;
   pragma Export (C, u00184, "spark_ada_command_lineS");
   u00185 : constant Version_32 := 16#aaed6024#;
   pragma Export (C, u00185, "ada__command_lineB");
   u00186 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00186, "ada__command_lineS");
   u00187 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00187, "gnat__os_libS");
   u00188 : constant Version_32 := 16#705da679#;
   pragma Export (C, u00188, "tcp_dns_packageB");
   u00189 : constant Version_32 := 16#807d6e4b#;
   pragma Export (C, u00189, "tcp_dns_packageS");
   u00190 : constant Version_32 := 16#45d0a65a#;
   pragma Export (C, u00190, "dns_networkB");
   u00191 : constant Version_32 := 16#2dfdf88f#;
   pragma Export (C, u00191, "dns_networkS");
   u00192 : constant Version_32 := 16#29b7d16e#;
   pragma Export (C, u00192, "socket_timeoutB");
   u00193 : constant Version_32 := 16#1047cf03#;
   pragma Export (C, u00193, "socket_timeoutS");
   u00194 : constant Version_32 := 16#b28d1da5#;
   pragma Export (C, u00194, "gnat__socketsB");
   u00195 : constant Version_32 := 16#04b0a450#;
   pragma Export (C, u00195, "gnat__socketsS");
   u00196 : constant Version_32 := 16#9f68662c#;
   pragma Export (C, u00196, "gnat__sockets__linker_optionsS");
   u00197 : constant Version_32 := 16#f002ec21#;
   pragma Export (C, u00197, "gnat__sockets__thinB");
   u00198 : constant Version_32 := 16#c52420ab#;
   pragma Export (C, u00198, "gnat__sockets__thinS");
   u00199 : constant Version_32 := 16#28ed06f8#;
   pragma Export (C, u00199, "gnat__sockets__thin_commonB");
   u00200 : constant Version_32 := 16#18f9d05e#;
   pragma Export (C, u00200, "gnat__sockets__thin_commonS");
   u00201 : constant Version_32 := 16#17f3840e#;
   pragma Export (C, u00201, "system__pool_sizeB");
   u00202 : constant Version_32 := 16#7161052d#;
   pragma Export (C, u00202, "system__pool_sizeS");
   u00203 : constant Version_32 := 16#c57e63fb#;
   pragma Export (C, u00203, "system__task_lockB");
   u00204 : constant Version_32 := 16#4f6451c7#;
   pragma Export (C, u00204, "system__task_lockS");
   u00205 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00205, "system__val_intB");
   u00206 : constant Version_32 := 16#250abafb#;
   pragma Export (C, u00206, "system__val_intS");
   u00207 : constant Version_32 := 16#534b5604#;
   pragma Export (C, u00207, "system__os_constantsS");
   u00208 : constant Version_32 := 16#6f648625#;
   pragma Export (C, u00208, "gnat__sockets__constantsS");
   u00209 : constant Version_32 := 16#6f52501f#;
   pragma Export (C, u00209, "multitask_process_dns_requestB");
   u00210 : constant Version_32 := 16#1d4019e8#;
   pragma Export (C, u00210, "multitask_process_dns_requestS");
   u00211 : constant Version_32 := 16#2f095d0b#;
   pragma Export (C, u00211, "ada__real_timeB");
   u00212 : constant Version_32 := 16#41de19c7#;
   pragma Export (C, u00212, "ada__real_timeS");
   u00213 : constant Version_32 := 16#93d8ec4d#;
   pragma Export (C, u00213, "system__arith_64B");
   u00214 : constant Version_32 := 16#df271247#;
   pragma Export (C, u00214, "system__arith_64S");
   u00215 : constant Version_32 := 16#bdba915e#;
   pragma Export (C, u00215, "process_dns_requestB");
   u00216 : constant Version_32 := 16#119677fe#;
   pragma Export (C, u00216, "process_dns_requestS");
   u00217 : constant Version_32 := 16#a6c2b761#;
   pragma Export (C, u00217, "protected_spark_io_05B");
   u00218 : constant Version_32 := 16#3a6ef3fb#;
   pragma Export (C, u00218, "protected_spark_io_05S");
   u00219 : constant Version_32 := 16#d5f9759f#;
   pragma Export (C, u00219, "ada__text_io__float_auxB");
   u00220 : constant Version_32 := 16#f854caf5#;
   pragma Export (C, u00220, "ada__text_io__float_auxS");
   u00221 : constant Version_32 := 16#515dc0e3#;
   pragma Export (C, u00221, "ada__text_io__generic_auxB");
   u00222 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00222, "ada__text_io__generic_auxS");
   u00223 : constant Version_32 := 16#6d0081c3#;
   pragma Export (C, u00223, "system__img_realB");
   u00224 : constant Version_32 := 16#aa07c126#;
   pragma Export (C, u00224, "system__img_realS");
   u00225 : constant Version_32 := 16#b2944ef4#;
   pragma Export (C, u00225, "system__fat_llfS");
   u00226 : constant Version_32 := 16#06417083#;
   pragma Export (C, u00226, "system__img_lluB");
   u00227 : constant Version_32 := 16#4e87cc71#;
   pragma Export (C, u00227, "system__img_lluS");
   u00228 : constant Version_32 := 16#3ddff6b3#;
   pragma Export (C, u00228, "system__powten_tableS");
   u00229 : constant Version_32 := 16#730c1f82#;
   pragma Export (C, u00229, "system__val_realB");
   u00230 : constant Version_32 := 16#9386e7d5#;
   pragma Export (C, u00230, "system__val_realS");
   u00231 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00231, "system__exn_llfB");
   u00232 : constant Version_32 := 16#ec2b8e2b#;
   pragma Export (C, u00232, "system__exn_llfS");
   u00233 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00233, "ada__text_io__integer_auxB");
   u00234 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00234, "ada__text_io__integer_auxS");
   u00235 : constant Version_32 := 16#ef6c8032#;
   pragma Export (C, u00235, "system__img_biuB");
   u00236 : constant Version_32 := 16#c16c44ff#;
   pragma Export (C, u00236, "system__img_biuS");
   u00237 : constant Version_32 := 16#10618bf9#;
   pragma Export (C, u00237, "system__img_llbB");
   u00238 : constant Version_32 := 16#80ab5401#;
   pragma Export (C, u00238, "system__img_llbS");
   u00239 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00239, "system__img_lliB");
   u00240 : constant Version_32 := 16#7ce0c515#;
   pragma Export (C, u00240, "system__img_lliS");
   u00241 : constant Version_32 := 16#f931f062#;
   pragma Export (C, u00241, "system__img_llwB");
   u00242 : constant Version_32 := 16#29c77797#;
   pragma Export (C, u00242, "system__img_llwS");
   u00243 : constant Version_32 := 16#b532ff4e#;
   pragma Export (C, u00243, "system__img_wiuB");
   u00244 : constant Version_32 := 16#af2dc36d#;
   pragma Export (C, u00244, "system__img_wiuS");
   u00245 : constant Version_32 := 16#936e9286#;
   pragma Export (C, u00245, "system__val_lliB");
   u00246 : constant Version_32 := 16#f78b7664#;
   pragma Export (C, u00246, "system__val_lliS");
   u00247 : constant Version_32 := 16#68f8d5f8#;
   pragma Export (C, u00247, "system__val_lluB");
   u00248 : constant Version_32 := 16#7dbc9bc0#;
   pragma Export (C, u00248, "system__val_lluS");
   u00249 : constant Version_32 := 16#ee76e913#;
   pragma Export (C, u00249, "system__fat_fltS");
   u00250 : constant Version_32 := 16#7dbbd31d#;
   pragma Export (C, u00250, "text_ioS");
   u00251 : constant Version_32 := 16#8347336d#;
   pragma Export (C, u00251, "dns_network_receiveB");
   u00252 : constant Version_32 := 16#944b75bb#;
   pragma Export (C, u00252, "dns_network_receiveS");
   u00253 : constant Version_32 := 16#195cdc00#;
   pragma Export (C, u00253, "system__tasking__rendezvousB");
   u00254 : constant Version_32 := 16#34f28e26#;
   pragma Export (C, u00254, "system__tasking__rendezvousS");
   u00255 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00255, "system__restrictionsB");
   u00256 : constant Version_32 := 16#2162204d#;
   pragma Export (C, u00256, "system__restrictionsS");
   u00257 : constant Version_32 := 16#adff1e5c#;
   pragma Export (C, u00257, "system__tasking__entry_callsB");
   u00258 : constant Version_32 := 16#84b0eb9c#;
   pragma Export (C, u00258, "system__tasking__entry_callsS");
   u00259 : constant Version_32 := 16#582b91d0#;
   pragma Export (C, u00259, "system__tasking__initializationB");
   u00260 : constant Version_32 := 16#93a57cc9#;
   pragma Export (C, u00260, "system__tasking__initializationS");
   u00261 : constant Version_32 := 16#ab9350d0#;
   pragma Export (C, u00261, "system__tasking__protected_objects__entriesB");
   u00262 : constant Version_32 := 16#db92b260#;
   pragma Export (C, u00262, "system__tasking__protected_objects__entriesS");
   u00263 : constant Version_32 := 16#87bf522d#;
   pragma Export (C, u00263, "system__tasking__protected_objects__operationsB");
   u00264 : constant Version_32 := 16#c3da2e0f#;
   pragma Export (C, u00264, "system__tasking__protected_objects__operationsS");
   u00265 : constant Version_32 := 16#7b8939c7#;
   pragma Export (C, u00265, "system__tasking__queuingB");
   u00266 : constant Version_32 := 16#ca5254e7#;
   pragma Export (C, u00266, "system__tasking__queuingS");
   u00267 : constant Version_32 := 16#11a73c38#;
   pragma Export (C, u00267, "system__tasking__utilitiesB");
   u00268 : constant Version_32 := 16#541e5a71#;
   pragma Export (C, u00268, "system__tasking__utilitiesS");
   u00269 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00269, "system__traces__taskingB");
   u00270 : constant Version_32 := 16#52029525#;
   pragma Export (C, u00270, "system__traces__taskingS");
   u00271 : constant Version_32 := 16#5217a8a3#;
   pragma Export (C, u00271, "system__tasking__stagesB");
   u00272 : constant Version_32 := 16#34822145#;
   pragma Export (C, u00272, "system__tasking__stagesS");
   u00273 : constant Version_32 := 16#9fb84414#;
   pragma Export (C, u00273, "task_limitB");
   u00274 : constant Version_32 := 16#81b197a8#;
   pragma Export (C, u00274, "task_limitS");
   u00275 : constant Version_32 := 16#953db676#;
   pragma Export (C, u00275, "ada__synchronous_task_controlB");
   u00276 : constant Version_32 := 16#d3b94b4d#;
   pragma Export (C, u00276, "ada__synchronous_task_controlS");
   u00277 : constant Version_32 := 16#b2351600#;
   pragma Export (C, u00277, "udp_dns_packageB");
   u00278 : constant Version_32 := 16#ab7143f1#;
   pragma Export (C, u00278, "udp_dns_packageS");
   u00279 : constant Version_32 := 16#3a4d8adc#;
   pragma Export (C, u00279, "zone_file_ioB");
   u00280 : constant Version_32 := 16#3adb2569#;
   pragma Export (C, u00280, "zone_file_ioS");
   u00281 : constant Version_32 := 16#1812770d#;
   pragma Export (C, u00281, "error_msgsB");
   u00282 : constant Version_32 := 16#0d191d8b#;
   pragma Export (C, u00282, "error_msgsS");
   u00283 : constant Version_32 := 16#f64b89a4#;
   pragma Export (C, u00283, "ada__integer_text_ioB");
   u00284 : constant Version_32 := 16#f1daf268#;
   pragma Export (C, u00284, "ada__integer_text_ioS");
   u00285 : constant Version_32 := 16#a347755d#;
   pragma Export (C, u00285, "ada__text_io__modular_auxB");
   u00286 : constant Version_32 := 16#534ccfb2#;
   pragma Export (C, u00286, "ada__text_io__modular_auxS");
   u00287 : constant Version_32 := 16#d3dc4122#;
   pragma Export (C, u00287, "parser_utilitiesB");
   u00288 : constant Version_32 := 16#9eb5b1a8#;
   pragma Export (C, u00288, "parser_utilitiesS");
   u00289 : constant Version_32 := 16#b668d498#;
   pragma Export (C, u00289, "non_spark_stuffB");
   u00290 : constant Version_32 := 16#7963463b#;
   pragma Export (C, u00290, "non_spark_stuffS");
   u00291 : constant Version_32 := 16#8ba0787e#;
   pragma Export (C, u00291, "ada__calendarB");
   u00292 : constant Version_32 := 16#e791e294#;
   pragma Export (C, u00292, "ada__calendarS");
   u00293 : constant Version_32 := 16#475d3cf4#;
   pragma Export (C, u00293, "process_first_line_of_recordB");
   u00294 : constant Version_32 := 16#2806452b#;
   pragma Export (C, u00294, "process_first_line_of_recordS");
   u00295 : constant Version_32 := 16#7b5159ed#;
   pragma Export (C, u00295, "zone_file_parserB");
   u00296 : constant Version_32 := 16#ea1fb203#;
   pragma Export (C, u00296, "zone_file_parserS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  gnat.byte_swapping%s
   --  gnat.byte_swapping%b
   --  system.arith_64%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_real%s
   --  system.io%s
   --  system.io%b
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.exp_uns%s
   --  system.exp_uns%b
   --  system.fat_flt%s
   --  system.fat_llf%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps.constants%s
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.os_constants%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.win32%s
   --  system.os_interface%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  ada.synchronous_task_control%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  ada.synchronous_task_control%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  system.win32.ext%s
   --  system.task_primitives.operations%b
   --  system.os_primitives%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.communication%s
   --  system.communication%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  gnat.sockets%s
   --  gnat.sockets.constants%s
   --  gnat.sockets.linker_options%s
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.pool_size%s
   --  system.pool_size%b
   --  system.secondary_stack%s
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  gnat.sockets.thin_common%s
   --  gnat.sockets.thin_common%b
   --  gnat.sockets.thin%s
   --  gnat.sockets.thin%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  system.file_io%b
   --  gnat.os_lib%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.task_lock%s
   --  system.task_lock%b
   --  gnat.sockets%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.real_time%s
   --  ada.real_time%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.text_io.float_aux%s
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.float_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  ada.text_io.modular_aux%s
   --  ada.text_io.modular_aux%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  system.tasking.stages%s
   --  system.tasking.stages%b
   --  text_io%s
   --  dns_types%s
   --  dns_types%b
   --  dns_network%s
   --  dns_network_receive%s
   --  dns_network_receive%b
   --  multitask_process_dns_request%s
   --  protected_spark_io_05%s
   --  protected_spark_io_05%b
   --  socket_timeout%s
   --  socket_timeout%b
   --  dns_network%b
   --  spark%s
   --  spark.ada%s
   --  spark.ada.text_io%s
   --  spark.ada.text_io.not_spark%s
   --  spark.ada.text_io.not_spark%b
   --  spark.ada.text_io%b
   --  spark_ada_command_line%s
   --  spark_ada_command_line%b
   --  task_limit%s
   --  task_limit%b
   --  tcp_dns_package%s
   --  unsigned_types%s
   --  non_spark_stuff%s
   --  non_spark_stuff%b
   --  rr_type%s
   --  rr_type%b
   --  error_msgs%s
   --  rr_type.a_record_type%s
   --  rr_type.aaaa_record_type%s
   --  rr_type.cname_record_type%s
   --  rr_type.dnskey_record_type%s
   --  rr_type.mx_record_type%s
   --  rr_type.ns_record_type%s
   --  rr_type.nsec_record_type%s
   --  error_msgs%b
   --  rr_type.ptr_record_type%s
   --  rr_type.rrsig_record_type%s
   --  parser_utilities%s
   --  process_first_line_of_record%s
   --  rr_type.soa_record_type%s
   --  parser_utilities%b
   --  dns_table_pkg%s
   --  dns_table_pkg%b
   --  process_dns_request%s
   --  process_dns_request%b
   --  multitask_process_dns_request%b
   --  tcp_dns_package%b
   --  udp_dns_package%s
   --  udp_dns_package%b
   --  zone_file_io%s
   --  spark_dns_main%b
   --  zone_file_parser%s
   --  zone_file_parser%b
   --  zone_file_io%b
   --  process_first_line_of_record%b
   --  END ELABORATION ORDER


end ada_main;
